Zone ManagementUpdate Info

Update Info

Update information of a VoD Push zone

curl -X POST "https://api.5centscdn.com/v2/zones/vod/push/42" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "cnames": "docs.example.com",
  "profiles": [
    7549
  ],
  "webhook": "https://mydomain.com/notify"
}'
{
  "result": "success",
  "zone": {
    "type": "push",
    "id": 12345,
    "serviceid": 67890,
    "mode": "http",
    "cnames": "",
    "edgeruleids": 0,
    "deleted": null,
    "name": "my-cdn-zone",
    "hashid": "abc123def456",
    "fqdn": "cdn.example.com",
    "fqdnVoD": "vod.example.com",
    "edgerules": {
      "enabled": "N"
    },
    "domainlock": {
      "policy": "N",
      "list": "example.com,cdn.example.com",
      "ips": "203.0.113.10",
      "noreferer": "N",
      "type": "push",
      "enabled": "N",
      "active": "N"
    },
    "geoblock": {
      "policy": "N",
      "list": [
        "US",
        "GB"
      ],
      "ips": "203.0.113.10",
      "enabled": "N",
      "active": "N"
    },
    "securetoken": {
      "policy": "F",
      "keyip": "N",
      "list": "ab12cd34ef56gh78",
      "timeout": 3600,
      "session": "0",
      "ips": "",
      "dirs": "",
      "enabled": "N",
      "active": "N"
    },
    "eac": {
      "policy": "N",
      "list": "http://example.com/auth.script",
      "ips": "203.0.113.10",
      "enabled": "N",
      "active": "N"
    },
    "ssl": {
      "http": "N",
      "http2": "Y",
      "redirect": "Y",
      "mode": "S",
      "certid": null,
      "zerossl": null,
      "enabled": "Y",
      "warning": false
    },
    "cache": {
      "smart": "0",
      "cache": "4h",
      "expiry": "1M",
      "querystring": "N",
      "cachecontrol": "Y",
      "usestale": "Y",
      "revalidate": "Y",
      "cacheInSecs": 14400,
      "cacheInMins": 240,
      "expiryInSecs": 2592000,
      "expiryInMins": 43200
    },
    "edge": {
      "compression": "N",
      "compressionlevel": 5,
      "disposition": "N",
      "stripcookie": "N",
      "xff": "N",
      "cors": "Y",
      "webp": "N",
      "pseudostreaming": "N",
      "wp": "N",
      "lfo": "Y",
      "prefresh": "N"
    },
    "transcodefile": {
      "profiles": [
        "1",
        "2"
      ],
      "emails": [
        "admin@example.com"
      ],
      "webhooks": [
        "https://hooks.example.com/webhook"
      ]
    },
    "ftpdetails": {
      "username": "user_67890_push_12345",
      "password": "••••••••"
    },
    "server": {
      "code": "206",
      "name": "Singapore",
      "country": "SouthEast Asia",
      "meta": {
        "uploadPort": "21",
        "uploadHost": "upload.example.com"
      }
    },
    "ssl_enabled": "Y"
  },
  "warnings": []
}
POST
/zones/vod/push/{zoneid}
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
cnamesstring

Name that points to actual record. Eg: docs.example.com

profilesarray

Array of transcoding profile IDs to apply automatically.

webhookstring

Notification will be send every minute after files get transcoded. Enter a valid url where we send the files list as a json raw post data

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Body

application/json
cnamesstring

Name that points to actual record. Eg: docs.example.com

Example:
docs.example.com
profilesarray

Array of transcoding profile IDs to apply automatically.

webhookstring

Notification will be send every minute after files get transcoded. Enter a valid url where we send the files list as a json raw post data

Example:
https://mydomain.com/notify

Responses

resultstring

Status of the API response.

zoneobject
warningsstring[]

Array of non-fatal warning messages from the operation.